%define name	xbase
%define version 2.0.0
%define release 3mdk
%define lib_name_orig lib%{name}
%define lib_major 2
%define lib_name %mklibname %{name} %{lib_major}

Summary:	Xbase dBase database file library
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
Source: 	%{name}-%{version}.tar.bz2
License:	LGPL
Group: 		Development/Other
URL:		http://linux.techass.com/projects/xdb/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  libstdc++-devel


%undefine __check_files

%description
Library for accessing dBase .dbf, .ndx, .dbt, and Clipper .ntx files.

%package -n %{lib_name}
Summary: Libraries needed for %{name}
Group:   System/Libraries
Provides: %{lib_name}-%{version}-%{release}
Provides: %{lib_name_orig}=%{version}-%{release}

%description -n %{lib_name}
Libraries needed for %{name}

%package -n %{lib_name}-devel
Summary: Xbase development package
Group: Development/Other
Requires: %{lib_name}
Requires: %{lib_name}-%{version}-%{release}
Provides: %{name}-devel
Provides: %lib_name}-devel
Provides: %{lib_name_orig}-devel
Provides: %{lib_name_orig}-devel=%{version}-%{release}
Provides: %{name}-devel=%{version}-%{release}

%description -n %{lib_name}-devel
Headers and such for compiling programs that use the Xbase library.

%prep
%setup -n %{name}-%{version}

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-static

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{_bindir}/xbase-config

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc NEWS README TODO AUTHORS COPYING ChangeLog
%{_bindir}/*

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/libxbase-2.0.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,-)
%doc docs html
%{_includedir}/xbase
%{_libdir}/libxbase.so
%{_libdir}/libxbase.la
%{_libdir}/libxbase.a

%changelog
* Sun Jan 11 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-3mdk
- correct typo in ntx.cpp

* Thu Dec 25 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-2mdk
- fix provides and requires

* Tue Nov 18 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-1mdk
- initial Mandrake release
- don't use configure macro (breaks build right now)
- needed for new rekall
